Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client.json
Class WorkspaceNode

    java.lang.Object
      org.codehaus.jettison.json.JSONObject
          org.modeshape.web.jcr.rest.client.json.JsonNode
              org.modeshape.web.jcr.rest.client.json.WorkspaceNode

    public class WorkspaceNode

extends JsonNode

The `WorkspaceNode` class is responsible for knowing how to create a URL for a `workspace`. The URL can be used to publish and unpublish resources.

Field Summary

Fields inherited from class org.codehaus.jettison.json.JSONObject
`NULL`

Constructor Summary
`WorkspaceNode(Workspace workspace)`

Method Summary
`URL` | `getQueryUrl()`
`URL` | `getUrl()`

Methods inherited from class org.modeshape.web.jcr.rest.client.json.JsonNode
`getContent, getId, toString`

Methods inherited from class org.codehaus.jettison.json.JSONObject
`accumulate, append, doubleToString, get, getBoolean, getDouble, getInt, getJSONArray, getJSONObject, getLong, getString, has, isNull, keys, length, names, numberToString, opt, optBoolean, optBoolean, optDouble, optDouble, optInt, optInt, optJSONArray, optJSONObject, optLong, optLong, optString, optString, put, put, put, put, put, put, put, putOpt, quote, remove, toJSONArray, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkspaceNode

    public WorkspaceNode(Workspace workspace)

Parameters:
  `workspace` - the repository workspace (never `null`)

Method Detail

### getUrl

    public URL getUrl()
               throws Exception

  Specified by:
    `getUrl` in class `JsonNode`
  Returns:
    an HTTP URL representing this node
  Throws:
    `Exception` - if there is a problem constructing the URL
  See Also:
    `JsonNode.getUrl()`

### getQueryUrl

    public URL getQueryUrl()
                    throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.